.root {
    width: 100%;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    background: linear-gradient(86.64deg, #d312fe 7.94%, #8867f9 47.11%, #3cbdf4 88.79%);

    &__header {
        z-index: 1200;
        position: relative;
    }

    @include media-breakpoint-up(xl) {
        min-height: 100vh;
    }
}

.main {
    flex-grow: 1;
    border-radius: 20px 20px 0 0;
    background: $white;
    padding: rem(40) 0;
}

.header {
    padding: rem(40);

    &__logo {
        width: rem(280);
        margin: 0 auto;
    }
}

.container {
    margin: 0 auto;
    padding: 0 rem(20);
    max-width: rem(580);
}

.amount-input {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";
    margin-bottom: rem(24);

    &:before {
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        height: 1px;
        position: absolute;
        background: linear-gradient(86.64deg, #d312fe 7.94%, #8867f9 47.11%, #3cbdf4 88.79%);
    }

    #{$input-selector} {
        margin: 0;
        z-index: 10;
        width: 100%;
        height: rem(50);
        outline: none;
        color: #5b3d38;
        text-align: center;
        position: relative;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(24);
        line-height: rem(32);
        padding: rem(8) 0;
        background: transparent;
        display: inline-block;
        vertical-align: middle;
        border: rem(1) transparent;
        border-radius: 0;
        @include placeholder(#909090);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
        }


        &.error {
            border-color: red !important;
        }
    }
}

.suggests {
    display: grid;
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr 1fr 1fr;
    margin-bottom: rem(24);
}

.suggest {
    color: $black;
    height: rem(45);
    cursor: pointer;
    font-size: rem(16);
    line-height: rem(22);
    background: $white;
    border-radius: 10px;
    border: 1px solid $blue;
    display: flex;
    align-items: center;
    justify-content: center;

    sup {

    }

    &.is-selected {
        color: $white;
        background: $blue;
    }
}

.rating {
    margin-bottom: rem(24);
    display: grid;
    grid-auto-flow: dense;
    direction: rtl;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;

    &__button {
        border: none;
        outline: none;
        cursor: pointer;
        background: transparent;
        padding: rem(8);
        font-size: 0;
        line-height: 0;
        text-align: center;
        display: flex;
        align-items: center;
        justify-content: center;
        fill: $blue;
        fill-rule: evenodd;
        clip-rule: evenodd;

        i {
            height: rem(30);
            display: inline-block;
        }

        &.is-checked {
            fill-rule: nonzero;
            clip-rule: nonzero;

            & ~ {

                .rating__button {
                    fill-rule: nonzero;
                    clip-rule: nonzero;
                }
            }
        }
    }
}

.details {
    display: grid;
    grid-column-gap: rem(12);
    grid-template-columns: 1fr 1fr 1fr;
}

.detail-button {
    margin: 0;
    padding: 0;
    fill: $black;
    color: $black;
    height: rem(112);
    cursor: pointer;
    text-align: center;
    font-size: rem(11);
    line-height: rem(16);
    border-radius: 10px;
    border: 1px solid $blue;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;

    &__wrap {
        display: block;
        font-style: normal;
    }

    &__icon {
        font-size: 0;
        line-height: 0;
        height: rem(50);
        display: inline-block;
    }

    &__text {
        display: block;
    }

    &.is-selected {
        fill: $white;
        color: $white;
        background: $blue;
    }
}

.footer {
    padding-top: rem(20);
    padding-bottom: rem(100);
    background: $white;
    text-align: center;

    &__text {
        font-weight: 600;
        font-size: rem(11);
        line-height: rem(16);
        margin-bottom: rem(8);
    }

    &__link {
        fill: $white;
        font-size: 0;
        line-height: 0;
        width: rem(34);
        height: rem(34);
        background: $light-gray;
        border-radius: 50%;
        display: inline-flex;
        align-items: center;
        justify-content: center;

        i {
            height: rem(20);
            display: inline-block;
            flex-shrink: 0;
        }

        &:hover {
            background: $blue;
        }
    }
}

.panel {
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 500;
    padding: rem(15) 0;
    position: fixed;
    background: $white;
    box-shadow: 0 0 40px rgba(58, 74, 89, .14);
    border-radius: 20px 20px 0 0;

    .btn {
        width: 100%;
    }

    &__payment {
        display: none;
    }

    &--pay {

        .panel {

            &__base {
                display: none;
            }

            &__payment {
                display: block;
            }
        }
    }
}

.btn-group {
    display: grid;
    grid-column-gap: rem(10);
    grid-template-columns: 1fr 1fr;
}

.user {
    color: $white;
    margin: 0 auto;
    text-align: center;
    font-size: rem(14);
    line-height: rem(24);

    &__media {
        padding: 0;
        border: none;
        outline: none;
        display: block;
        width: rem(96);
        height: rem(96);
        position: relative;
        border-radius: rem(50);
        background: transparent;
        margin: 0 auto rem(10) auto;
    }

    &__avatar {
        display: block;
        width: rem(96);
        height: rem(96);
        overflow: hidden;
        border-radius: 50%;
        border: 3px solid $white;
    }

    &__name {
        font-size: rem(16);
        font-weight: rem(600);
    }

    &__switcher {
        top: rem(54);
        right: rem(-10);
        z-index: 10;
        font-size: 0;
        line-height: 0;
        width: rem(32);
        height: rem(32);
        border-radius: 50%;
        background: $white;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        box-shadow: 0 0 12px rgba(58, 74, 89, .5);

        span {
            width: rem(4);
            height: rem(4);
            margin: 0  rem(2);
            border-radius: 50%;
            background: $black;
            display: inline-block;
        }
    }
}

.google-review {
    display: none;
    margin-bottom: rem(24);

    &.open {
        display: block;
    }
}

.modal {
    background: $white;
    padding: rem(36) rem(24);

    &--fullscreen {
        margin: 0 auto;
    }

    &--radius {
        border-radius: rem(10);
    }

    &__header {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(32);
        text-align: center;
        margin-bottom: rem(24);
    }

    @include media-breakpoint-up(md) {
        padding: rem(40);
    }
}

.user-list {
    margin: 0;
    padding: 0;
    list-style: none;

    &__item {
        margin-bottom: rem(16);
    }
}

.user-selection {
    margin: 0;
    width: 100%;
    padding: rem(8) rem(20);
    border-radius: 6px;
    border: 1px solid $light-gray;
    outline: none;
    font-size: rem(16);
    line-height: rem(24);
    font-weight: 600;
    background: transparent;
    display: flex;
    align-items: center;

    &__avatar {
        width: rem(40);
        height: rem(40);
        overflow: hidden;
        border-radius: 50%;
        border: 1px solid $blue;
        flex-shrink: 0;
    }

    &__name {
        padding-left: rem(10);
    }

    &.active {
        border-color: $blue;
    }
}

.modal-power {
    font-size: rem(11);
    line-height: rem(16);
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: normal;
    margin-bottom: rem(32);

    &__text {
        margin-right: rem(8);
    }

    &__logo {
        font-size: 0;
        line-height: 0;
        height: rem(16);
        display: inline-block;
    }
}

.form-title {
    font-weight: 800;
    text-align: center;
    font-size: 2.125rem;
    line-height: 1.18;
    margin-bottom: rem(32);
}

.form-main {

    .btn {
        width: 100%;
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
